Name:		fetchmail-ssl
Version:	5.8.17
Release:	1.0.3
URL:		http://www.tuxedo.org/~esr/fetchmail
Source:         fetchmail-%{version}.tar.gz
Group:		Applications/Mail
Copyright:	GPL
Requires:	smtpdaemon
BuildRoot:	/var/tmp/%{name}-%{version}
Summary:	Full-featured POP/IMAP mail retrieval daemon

%description
Fetchmail is a free, full-featured, robust, and well-documented remote
mail retrieval and forwarding utility intended to be used over
on-demand TCP/IP links (such as SLIP or PPP connections).  It
retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be be read by
normal mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.
Comes with an interactive GUI configurator suitable for end-users.


%prep
%setup -q -n fetchmail-%{version}


%build
  CFLAGS="$RPM_OPT_FLAGS -I/usr/include/openssl" LDFLAGS="-s"
  export CFLAGS LDFLAGS

  ./configure --prefix=/usr --with-ssl
  make


%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install prefix=$RPM_BUILD_ROOT/usr

  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
  install -m 444 fetchmail.man $RPM_BUILD_ROOT/%{_mandir}/man1/fetchmail.1
  gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man1/fetchmail.1

  rm -rf contrib/RCS
  chmod 444 contrib/*


%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
  %defattr(0444,root,root)
  %doc README NEWS NOTES FAQ COPYING FEATURES contrib
  %doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
  %{_mandir}/man1/fetchmail.1.gz

  %attr(0755,root,root)	/usr/bin/fetchmail
  %attr(0755,root,root)	%config(noreplace) /usr/bin/fetchmailconf


%changelog
* Fri Aug 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.8.17, Release 1.0.3
  - New upstream version fixes some more buffer overflows.


* Tue Jun 19 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.8.7, 1.0.2
  - There was no %changelog, so I added one.
  - Cleaned up spec file.
  - New upstream version fixes some buffer overflows.

